# Uses of Class
java.net.URLConnection

Packages that use URLConnection
Package
Description
java.net
Provides the classes for implementing networking applications.
javax.net.ssl
Provides classes for the secure socket package.

## Uses of URLConnection in java.net

Subclasses of URLConnection in java.net
Modifier and Type
Class
Description
`class`
`HttpURLConnection`
A URLConnection with support for HTTP-specific features.
`class`
`JarURLConnection`
A URL Connection to a Java ARchive (JAR) file or an entry in a JAR file.
Fields in java.net declared as URLConnection
Modifier and Type
Field
Description
`protected URLConnection`
JarURLConnection.`jarFileURLConnection`
The connection to the JAR file URL, if the connection has been initiated.
Methods in java.net that return URLConnection
Modifier and Type
Method
Description
`URLConnection`
URL.`openConnection()`
Returns a `URLConnection` instance that represents a connection to the remote object referred to by the `URL`.
`URLConnection`
URL.`openConnection​(Proxy proxy)`
Same as `URL.openConnection()`, except that the connection will be made through the specified proxy; Protocol handlers that do not support proxying will ignore the proxy parameter and make a normal connection.
`protected abstract URLConnection`
URLStreamHandler.`openConnection​(URL u)`
Opens a connection to the object referenced by the `URL` argument.
`protected URLConnection`
URLStreamHandler.`openConnection​(URL u, Proxy p)`
Same as openConnection(URL), except that the connection will be made through the specified proxy; Protocol handlers that do not support proxying will ignore the proxy parameter and make a normal connection.
Methods in java.net with parameters of type URLConnection
Modifier and Type
Method
Description
`abstract Object`
ContentHandler.`getContent​(URLConnection urlc)`
Given a URL connect stream positioned at the beginning of the representation of an object, this method reads that stream and creates an object from it.
`Object`
ContentHandler.`getContent​(URLConnection urlc, Class[] classes)`
Given a URL connect stream positioned at the beginning of the representation of an object, this method reads that stream and creates an object that matches one of the types specified.
`abstract CacheRequest`
ResponseCache.`put​(URI uri, URLConnection conn)`
The protocol handler calls this method after a resource has been retrieved, and the ResponseCache must decide whether or not to store the resource in its cache.

## Uses of URLConnection in javax.net.ssl

Subclasses of URLConnection in javax.net.ssl
Modifier and Type
Class
Description
`class`
`HttpsURLConnection`
`HttpsURLConnection` extends `HttpURLConnection` with support for https-specific features.